curl --request POST \
--url https://app.hypersender.com/api/whatsapp/v1/{instance}/send-voice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chatId": "[email protected]",
"url": "http://commondatastorage.googleapis.com/codeskulptor-assets/week7-brrring.m4a",
"caption": "hypersender",
"reply_to": "string"
}
'{
"key": {
"remoteJid": "[email protected]",
"fromMe": true,
"id": "3EB089F063C03E43EECE9D"
},
"message": {
"audioMessage": {
"url": "https://mmg.whatsapp.net/v/t62.7119-24/31809967_2958746007616712_3774955636954933761_n.enc?ccb=11-4&oh=01_Q5AaIPHnpFjuJwCULeqyHMcDO55BAj3YxolxEVLGXVvVkaKM&oe=67F2DD3D&_nc_sid=5e03e0&mms3=true",
"mimetype": "audio/ogg",
"fileSha256": "ubfaNZ4rY7T7/ghhWnBh1cVf1d00JSHENKunZuHs+yc=",
"fileLength": 18886,
"seconds": 10,
"ptt": true,
"mediaKey": "ARUCxn91XDCjmCvFecREY4Fpg9RSOYa8O5D7TxGWGkE=",
"fileEncSha256": "ER9FB+GEzrKmooWDbNpqenokG1mAtvbIU+Ceo7JeNwQ=",
"directPath": "/v/t62.7119-24/31809967_2958746007616712_3774955636954933761_n.enc?ccb=11-4&oh=01_Q5AaIPHnpFjuJwCULeqyHMcDO55BAj3YxolxEVLGXVvVkaKM&oe=67F2DD3D&_nc_sid=5e03e0",
"mediaKeyTimestamp": 1741390160,
"waveform": "AAIIAQ0nKCcdX2NTSkUqHQ4KAgICBAUGAwEAAAAAAAAAAAQFARAmMlFQVT4PHkggAgEHGVldZFpGMBYKAwQEBg=="
}
},
"messageTimestamp": 1741390160,
"status": "PENDING"
}{
"message": "The given data was invalid.",
"errors": {},
"statusCode": 422
}{
"message": "Internal Server Error"
}Send Voice
Send voice messages to WhatsApp users for more engaging and personal communication.
POST
/
{instance}
/
send-voice
curl --request POST \
--url https://app.hypersender.com/api/whatsapp/v1/{instance}/send-voice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chatId": "[email protected]",
"url": "http://commondatastorage.googleapis.com/codeskulptor-assets/week7-brrring.m4a",
"caption": "hypersender",
"reply_to": "string"
}
'{
"key": {
"remoteJid": "[email protected]",
"fromMe": true,
"id": "3EB089F063C03E43EECE9D"
},
"message": {
"audioMessage": {
"url": "https://mmg.whatsapp.net/v/t62.7119-24/31809967_2958746007616712_3774955636954933761_n.enc?ccb=11-4&oh=01_Q5AaIPHnpFjuJwCULeqyHMcDO55BAj3YxolxEVLGXVvVkaKM&oe=67F2DD3D&_nc_sid=5e03e0&mms3=true",
"mimetype": "audio/ogg",
"fileSha256": "ubfaNZ4rY7T7/ghhWnBh1cVf1d00JSHENKunZuHs+yc=",
"fileLength": 18886,
"seconds": 10,
"ptt": true,
"mediaKey": "ARUCxn91XDCjmCvFecREY4Fpg9RSOYa8O5D7TxGWGkE=",
"fileEncSha256": "ER9FB+GEzrKmooWDbNpqenokG1mAtvbIU+Ceo7JeNwQ=",
"directPath": "/v/t62.7119-24/31809967_2958746007616712_3774955636954933761_n.enc?ccb=11-4&oh=01_Q5AaIPHnpFjuJwCULeqyHMcDO55BAj3YxolxEVLGXVvVkaKM&oe=67F2DD3D&_nc_sid=5e03e0",
"mediaKeyTimestamp": 1741390160,
"waveform": "AAIIAQ0nKCcdX2NTSkUqHQ4KAgICBAUGAwEAAAAAAAAAAAQFARAmMlFQVT4PHkggAgEHGVldZFpGMBYKAwQEBg=="
}
},
"messageTimestamp": 1741390160,
"status": "PENDING"
}{
"message": "The given data was invalid.",
"errors": {},
"statusCode": 422
}{
"message": "Internal Server Error"
}This specialized endpoint will allow you to send voice as if you were recording directly in the WhatsApp application.



You can send voice messages in two ways:
Provide a URL for the voice audio.

Please note that the URL must be publicly accessible and not require any authentication or special headers to access the file.
Send the voice audio it self as a file upload.


Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"{{ instance_id }}"
Body
application/json
Require to use multipart/form-data